# ef-clock

Display hours, minutes and seconds as clock interface

## Properties

| Property      | Attribute      | Type      | Default    | Description                                      |
|---------------|----------------|-----------|------------|--------------------------------------------------|
| `amPm`        | `am-pm`        | `boolean` | false      | Display the digital clock in 12hr format.        |
| `analogue`    | `analogue`     | `boolean` | false      | Display clock in analogue style.                 |
| `interactive` | `interactive`  | `boolean` | false      | Enable interactive mode. Allowing the user to offset the value. |
| `offset`      | `offset`       | `number`  | "0"        | number of seconds that the display time should be offset from the original value |
| `showSeconds` | `show-seconds` | `boolean` | false      | Display the seconds segment.                     |
| `tick`        | `tick`         | `boolean` | false      | Toggles clock ticking function.                  |
| `value`       | `value`        | `string`  | "00:00:00" | Get time value in format `hh:mm:ss`              |

## Events

| Event            | Description                                      |
|------------------|--------------------------------------------------|
| `offset-changed` | Fired when the user offsets the clock in `interactive` mode. The event is not triggered if `offset` property is changed programmatically. |
| `value-changed`  | Fired when `value` property changes while ticking. |
