# ef-collapse

Allows users to hide non-critical information
or areas of the screen, maximizing the amount of real estate
for their primary displays.

## Properties

| Property   | Attribute  | Type                | Default | Description                                      |
|------------|------------|---------------------|---------|--------------------------------------------------|
| `expanded` | `expanded` | `boolean`           | false   | Set to expand the item                           |
| `header`   | `header`   | `string`            | ""      | Set text on the header                           |
| `level`    | `level`    | `"1" \| "2" \| "3"` | "3"     | Use level styling from theme                     |
| `spacing`  | `spacing`  | `boolean`           | false   | Set to apply padding from theme to content section |

## Events

| Event              | Description                                      |
|--------------------|--------------------------------------------------|
| `expanded-changed` | Fired when the user expands or collapses the control. The event is not triggered if `expanded` property is changed programmatically. |

## Slots

| Name           | Description                                      |
|----------------|--------------------------------------------------|
| `header-left`  | Slot to add custom contents to the left side of header |
| `header-right` | Slot to add custom contents to the right side of header |
