import { DeprecationNotice } from '@refinitiv-ui/core';
import { createListRenderer } from '../../list/index.js';
import { Renderer } from '../../list/renderer.js';
export const createComboBoxRenderer = (context) => {
    const listRenderer = createListRenderer(context);
    return (item, composer, element) => {
        // Extending renderer from listRenderer
        element = listRenderer(item, composer, element);
        const value = composer.getItemPropertyValue(item, 'value');
        // Using value as id for `aria-activedescendant` in combobox
        if (value && element.id !== value) {
            element.id = value;
        }
        else if (!value && element.id) {
            element.removeAttribute('id');
        }
        return element;
    };
};
const deprecationNotice = new DeprecationNotice('ComboBoxRenderer is deprecated. Use createComboBoxRenderer instead.');
/**
 * Renders list items as `ef-item` elements.
 * Extends its behaviour from ListRenderer.
 * @deprecate ComboBoxRenderer is deprecated. Use createComboBoxRenderer instead.
 */
export class ComboBoxRenderer extends Renderer {
    constructor(context) {
        super(createComboBoxRenderer(context));
        deprecationNotice.show();
    }
}
