import { JSXInterface } from '../../jsx';
import { BasicElement, TemplateResult } from '@refinitiv-ui/core';
import type { Config } from '../helpers/types.js';
export declare class Configuration extends BasicElement {
    /**
     * Element version number
     * @returns version number
     */
    static get version(): string;
    /**
     * Render slot as light DOM
     * @returns Element
     */
    protected createRenderRoot(): this;
    /**
     * Configuration data
     * @type {Config}
     * @attr -
     * @default {icon: { map: {} }}
     */
    config: Config;
    /**
     * A `TemplateResult` that will be used
     * to render the updated internal template.
     * @return Render template
     */
    protected render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        'ef-configuration': Configuration;
    }
}

declare global {
  interface HTMLElementTagNameMap {
    'ef-configuration': Configuration;
  }

  namespace JSX {
    interface IntrinsicElements {
      'ef-configuration': Partial<Configuration> | JSXInterface.HTMLAttributes<Configuration>;
    }
  }
}

export {};
