import { __decorate } from "tslib";
import { provide } from '@lit-labs/context';
import { BasicElement, html } from '@refinitiv-ui/core';
import { customElement } from '@refinitiv-ui/core/decorators/custom-element.js';
import { state } from '@refinitiv-ui/core/decorators/state.js';
import { VERSION } from '../../version.js';
import { DEFAULT_CONFIG, efConfig } from '../helpers/context.js';
let Configuration = class Configuration extends BasicElement {
    constructor() {
        super(...arguments);
        /**
         * Configuration data
         * @type {Config}
         * @attr -
         * @default {icon: { map: {} }}
         */
        this.config = DEFAULT_CONFIG;
    }
    /**
     * Element version number
     * @returns version number
     */
    static get version() {
        return VERSION;
    }
    /**
     * Render slot as light DOM
     * @returns Element
     */
    createRenderRoot() {
        return this;
    }
    /**
     * A `TemplateResult` that will be used
     * to render the updated internal template.
     * @return Render template
     */
    render() {
        return html `<slot></slot>`;
    }
};
__decorate([
    provide({ context: efConfig }),
    state()
], Configuration.prototype, "config", void 0);
Configuration = __decorate([
    customElement('ef-configuration', { theme: false })
], Configuration);
export { Configuration };
