import { Direction } from './constants.js';
import type { DateTimeFormatPart, InputSelection } from './types';
/**
 * Get a part index based on the selection
 * @param selection Selection, containing selectionStart and selectionEnd
 * @param parts The list of parts
 * @returns index
 */
export declare const getSelectedPartIndex: (selection: InputSelection, parts: DateTimeFormatPart[]) => number;
/**
 * Get next available part index based on the selection, direction and input value
 * @param selection Selection, containing selectionStart and selectionEnd
 * @param parts The list of parts
 * @param inputValue The date time string value
 * @param direction Get the previous or the next part index
 * @returns index
 */
export declare const getNextSelectedPartIndex: (selection: InputSelection, parts: DateTimeFormatPart[], inputValue: string, direction?: Direction) => number;
/**
 * Get part selectionStart and selectionEnd indexes
 * @param parts The list of parts
 * @param index Part index
 * @returns selection
 */
export declare const selectPart: (parts: DateTimeFormatPart[], index?: number) => InputSelection;
