import { JSXInterface } from '../jsx';
import { BasicElement, CSSResultGroup, TemplateResult } from '@refinitiv-ui/core';
/**
 * Use to identify and separate different sections of a page.
 * Headers helps to organize the page layout content into
 * a sensible hierarchy and improve the user experience.
 *
 * @slot left - Slot to add custom contents to the left side of header
 * @slot right - Slot to add custom contents to the right side of header
 */
export declare class Header extends BasicElement {
    /**
     * Element version number
     * @returns version number
     */
    static get version(): string;
    /**
     * Style definition
     * @return CSS template
     */
    static get styles(): CSSResultGroup;
    /**
     * Use level styling from theme
     */
    level: '1' | '2' | '3';
    /**
     * A `TemplateResult` that will be used
     * to render the updated internal template.
     * @return Render template
     */
    protected render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        'ef-header': Header;
    }
}

declare global {
  interface HTMLElementTagNameMap {
    'ef-header': Header;
  }

  namespace JSX {
    interface IntrinsicElements {
      'ef-header': Partial<Header> | JSXInterface.HTMLAttributes<Header>;
    }
  }
}

export {};
