# ef-heatmap

A graphical representation of data where the individual
values contained in a matrix are represented as colors

## Properties

| Property           | Attribute             | Type                     | Default | Description                                      |
|--------------------|-----------------------|--------------------------|---------|--------------------------------------------------|
| `axisHidden`       | `axis-hidden`         | `boolean`                | false   | Hide all axes                                    |
| `blend`            | `blend`               | `boolean`                | false   | Enable cell color blending                       |
| `config`           | `config`              | `HeatmapConfig`          | null    | Heatmap configuration options.                   |
| `labelHidden`      | `label-hidden`        | `boolean`                | false   | Hide all labels in the cells                     |
| `labelMaxFontSize` | `label-max-font-size` | `number`                 | 16      | Maximum font size of label in cells, value in pixel unit e.g. 18 |
| `labelWidth`       | `label-width`         | `number`                 | 0       | Set minimum text length to be shown on cells. Unit in pixel.<br />e.g. label-width = 30; cell's label is hidden when text length is less than 30px. |
| `maxPoint`         | `max-point`           | `number`                 | 1       | Maximum point of the cell coloring               |
| `midPoint`         | `mid-point`           | `number`                 | 0       | Middle point of the cell coloring                |
| `minPoint`         | `min-point`           | `number`                 | -1      | Minimum point of the cell coloring               |
| `renderCallback`   |                       | `HeatmapRenderCallback`  |         | Render callback function use for custom cell properties.<br />Accepts custom label, foreground and background color |
| `saturation`       | `saturation`          | `number`                 | 0.4     | Cell minimum color saturation, value can be from 0 - 1 |
| `tooltipCallback`  |                       | `HeatmapTooltipCallback` |         | A callback function that allows tooltip rendering on cell hover |

## Methods

| Method               | Type                                       | Description                                      |
|----------------------|--------------------------------------------|--------------------------------------------------|
| `getCellDataAtEvent` | `(event: MouseEvent): HeatmapCell \| null` | Returns data of interactive cell<br /><br />**event**: A MouseEvent that occurs when Heatmap is being interacted |
