import type { HeatmapCell } from './types';
declare const MIN_FONT_SIZE = 12;
/**
 * Calculate responsive font size according to the screen width
 * @param ratio font ratio
 * @param cellHeight cell's height
 * @param cellWidth cell's width
 * @param cellMaxFontSize cell's max font size
 * @returns font size
 */
declare const getResponsiveFontSize: (ratio: number, cellHeight: number, cellWidth: number, cellMaxFontSize: number) => number;
/**
 * Get maximum text width out of all the cell by sampling
 * @param ctx canvas context
 * @param cells list of cells
 * @param hasCellHeader if header property is present in the cell
 * @returns label width measured in canvas
 */
declare const getMaximumTextWidth: (ctx: CanvasRenderingContext2D, cells: HeatmapCell[], hasCellHeader: boolean) => number;
export { getResponsiveFontSize, getMaximumTextWidth, MIN_FONT_SIZE };
