import { SVGLoader } from '@refinitiv-ui/utils/loader.js';
/**
 * Caches and provides sprite icon SVG
 * Uses singleton pattern
 */
declare class SpriteLoader extends SVGLoader {
    getSrc(): Promise<string>;
    /**
     * Load and Create DOM sprite SVG
     * @returns returns the DOM sprite SVG
     */
    private loadSprite;
    /**
     * Load and cache the DOM sprite svg
     * Get an svg fragment of DOM sprite svg
     * @param iconName Name of svg to load
     * @returns returns the svg fragment body
     */
    loadSpriteSVG(iconName: string): Promise<string | undefined>;
}
declare const instance: SpriteLoader;
export { instance as SpriteLoader };
