# ef-item

Used as a basic building block to compose complex custom elements,
additionally it can be used by applications
to create simple menus or navigation panels.

## Properties

| Property                   | Attribute     | Type               | Default | Description                                      |
|----------------------------|---------------|--------------------|---------|--------------------------------------------------|
| `disabled`                 | `disabled`    | `boolean`          | false   | Set disabled state.                              |
| `for`                      | `for`         | `string \| null`   | null    | Specifies which element an item is bound to      |
| `highlightable (readonly)` |               | `boolean`          | true    | Return true if the item can be highlighted. True if not disabled and type is Text |
| `highlighted`              | `highlighted` | `boolean`          | false   | Highlight the item                               |
| `icon`                     | `icon`        | `string \| null`   | null    | Set the icon name from the ef-icon list          |
| `label`                    | `label`       | `string \| null`   | null    | The text for the label indicating the meaning of the item.<br />By having both `label` and content, content always takes priority |
| `multiple`                 | `multiple`    | `boolean`          | false   | Is the item part of a multiple selection         |
| `selected`                 | `selected`    | `boolean`          | false   | Indicates that the item is selected              |
| `subLabel`                 | `sub-label`   | `string \| null`   | null    | The`subLabel` property represents the text beneath the label.<br />By having both `subLabel` and content, content always takes priority |
| `type`                     | `type`        | `ItemType \| null` | null    | If defined value can be `text`, `header` or `divider` |
| `value`                    | `value`       | `string`           | ""      | The content of this attribute represents the value of the item. |

## Slots

| Name    | Description                                      |
|---------|--------------------------------------------------|
| `left`  | Used to render the content on the left of the label. |
| `right` | Used to render the content on the right of the label. |
