# ef-notification

Used to show informative content when something happens in the application

## Properties

| Property    | Attribute   | Type      | Default | Description                              |
|-------------|-------------|-----------|---------|------------------------------------------|
| `collapsed` | `collapsed` | `boolean` | false   | Toggles the collapsed state.             |
| `confirm`   | `confirm`   | `boolean` | false   | Notification style: Confirm              |
| `error`     | `error`     | `boolean` | false   | Notification style: Error                |
| `message`   | `message`   | `string`  | ""      | The message to show in the notification. |
| `warning`   | `warning`   | `boolean` | false   | Notification style: Warning              |

## Methods

| Method    | Type       | Description                                      |
|-----------|------------|--------------------------------------------------|
| `dismiss` | `(): void` | Dismisses the notification, firing a `dismiss` event and collapsing the notification. |

## Events

| Event       | Description                                      |
|-------------|--------------------------------------------------|
| `collapsed` | Fired when notification is collapsed.            |
| `dismiss`   | Fired when the user taps close button to dismiss notification. The event is not triggered if dismiss is done programmatically. |
