import { JSXInterface } from '../../jsx';
import { BasicElement, CSSResultGroup } from '@refinitiv-ui/core';
import type { NullOrUndefined } from '../helpers/types';
/**
 * A private element to show backdrop for overlay
 */
export declare class OverlayBackdrop extends BasicElement {
    /**
     * Element version number
     * @returns version number
     */
    static get version(): string;
    /**
     * A `CSSResultGroup` that will be used
     * to style the host, slotted children
     * and the internal template of the element.
     * @return CSS template
     */
    static get styles(): CSSResultGroup;
    /**
     * Set a specific z-index to override automatically calculated z-index
     * @param zIndex zIndex value
     */
    set zIndex(zIndex: number | NullOrUndefined);
}
declare global {
    interface HTMLElementTagNameMap {
        'ef-overlay-backdrop': OverlayBackdrop;
    }
}

declare global {
  interface HTMLElementTagNameMap {
    'ef-overlay-backdrop': OverlayBackdrop;
  }

  namespace JSX {
    interface IntrinsicElements {
      'ef-overlay-backdrop': Partial<OverlayBackdrop> | JSXInterface.HTMLAttributes<OverlayBackdrop>;
    }
  }
}

export {};
