import { JSXInterface } from '../../jsx';
import { CSSResultGroup, ResponsiveElement } from '@refinitiv-ui/core';
/**
 * A private element to find overlay size boundaries
 */
export declare class OverlayViewport extends ResponsiveElement {
    /**
     * Element version number
     * @returns version number
     */
    static get version(): string;
    /**
     * A `CSSResultGroup` that will be used
     * to style the host, slotted children
     * and the internal template of the element.
     * @return CSS template
     */
    static get styles(): CSSResultGroup;
}
declare global {
    interface HTMLElementTagNameMap {
        'ef-overlay-viewport': OverlayViewport;
    }
}

declare global {
  interface HTMLElementTagNameMap {
    'ef-overlay-viewport': OverlayViewport;
  }

  namespace JSX {
    interface IntrinsicElements {
      'ef-overlay-viewport': Partial<OverlayViewport> | JSXInterface.HTMLAttributes<OverlayViewport>;
    }
  }
}

export {};
