# ef-select

Expands upon the native select element,
providing a fully themeable dropdown element.

## Properties

| Property           | Attribute     | Type                  | Default | Description                                      |
|--------------------|---------------|-----------------------|---------|--------------------------------------------------|
| `data`             |               | `SelectData \| null`  | null    | Construct the menu from data object. Cannot be used with slotted content |
| `disabled`         | `disabled`    | `boolean`             | false   | Set disabled state                               |
| `error`            | `error`       | `boolean`             | false   | Set error state                                  |
| `label (readonly)` |               | `string \| undefined` |         | Current text content of the selected value       |
| `opened`           | `opened`      | `boolean`             | false   | Toggles the opened state of the list             |
| `placeholder`      | `placeholder` | `string`              | ""      | Set placeholder text                             |
| `value`            |               | `string`              | ""      | Value of the element                             |
| `warning`          | `warning`     | `boolean`             | false   | Set warning state                                |

## Events

| Event            | Description                                      |
|------------------|--------------------------------------------------|
| `opened-changed` | Fired when the user opens or closes control's popup. The event is not triggered if `opened` property is changed programmatically. |
| `value-changed`  | Fired when the user commits a value change. The event is not triggered if `value` property is changed programmatically. |
