import { JSXInterface } from '../../jsx';
import { BasicElement, CSSResultGroup, PropertyValues, TemplateResult } from '@refinitiv-ui/core';
export declare class SliderMarker extends BasicElement {
    /**
     * Element version number
     * @returns version number
     */
    static get version(): string;
    static get styles(): CSSResultGroup;
    /**
     * Used to determine the position of the marker on the scale.
     */
    value: string;
    /**
     * Specify label alignment
     */
    labelAlign: 'left' | 'right' | 'center' | null;
    /**
     * On first updated lifecycle
     * @param changedProperties changed properties
     * @returns {void}
     */
    protected firstUpdated(changedProperties: PropertyValues): void;
    /**
     * A `TemplateResult` that will be used
     * to render the updated internal template.
     * @returns Render template
     */
    protected render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        'ef-slider-marker': SliderMarker;
    }
}

declare global {
  interface HTMLElementTagNameMap {
    'ef-slider-marker': SliderMarker;
  }

  namespace JSX {
    interface IntrinsicElements {
      'ef-slider-marker': Partial<SliderMarker> | JSXInterface.HTMLAttributes<SliderMarker>;
    }
  }
}

export {};
