/**
 * Set prevent default action and stop bubbles event
 * @param event event mouse or touch
 * @returns {void}
 */
declare const preventDefault: (event: Event) => Event;
/**
 * Return value that never exceed the maximum boundary
 * @param value value for check clamp
 * @param min max value
 * @param max min value
 * @returns number between two numbers
 */
declare const clamp: (value: number, min: number, max: number) => string;
/**
 * Check if number is a decimal number
 * @param value value for checking
 * @returns true if value is decimal
 */
declare const isDecimalNumber: (value: number) => boolean;
/**
 * Count decimal number
 * @param value value for checking
 * @returns number of decimal points
 */
declare const countDecimalPlace: (value: string | number) => number;
export { clamp, preventDefault, isDecimalNumber, countDecimalPlace };
