import { tooltipRenderer } from '../helpers/renderer.js';
import { addTooltipCondition } from './tooltip-element.js';
// Support title attribute
Object.defineProperty(HTMLElement.prototype, 'title', {
    get: function () {
        const title = this.getAttribute('title');
        if (title) {
            this.title = title;
        }
        return this.getAttribute('tooltip');
    },
    set: function (value) {
        this.setAttribute('title', '');
        this.setAttribute('tooltip', value);
    }
});
addTooltipCondition((element) => element.matches('[title]'), tooltipRenderer);
