import type { TooltipCondition, TooltipRenderer } from './types';
/**
 * Register the element to show a tooltip for overflow content
 * @param target Target element
 * @param [renderer] Optional renderer. By default target `textContent` is returned
 * @param [condition] Optional overflow condition. By default `scrollWidth` compared to `offsetWidth`
 * @returns {void}
 */
declare const register: (target: HTMLElement, renderer?: TooltipRenderer, condition?: TooltipCondition) => void;
/**
 * Deregister the element to stop showing a tooltip for overflow content
 * @param target Target element
 * @returns {void}
 */
declare const deregister: (target: HTMLElement) => void;
export { register, deregister };
